Validate merchant_private_key for the banking API
GET
/api/v2/merchants/{id}
const url = 'https://core.example.com/api/v2/merchants/example?currency=EUR';const options = {method: 'GET', headers: {'app-token': '<app-token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://core.example.com/api/v2/merchants/example?currency=EUR' \ --header 'app-token: <app-token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Merchant private key
Query Parameters
Section titled “Query Parameters”currency
string
Example
EURResponses
Section titled “ Responses ”Merchant and wallet data
Media typeapplication/json
object
success
required
boolean
status
required
integer
object
object
id
integer
email
string format: email
token
string
web_site
string
company_name
string
private_key
string
callback_url
string
merchant_settlement_info
string
redirect_fail_url
string
redirect_success_url
string
wallet
object
available
number format: double
available_for_payout
number format: double
held
number format: double
currency
string
Example
{ "success": true, "status": 200}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}Object not found
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}